How to fix: ‘Adobe Flash Player was blocked because it is out of date‘

Google Chrome blocks older versions of Flash automatically and shows this error message for a flash content page ‘Adobe Flash was blocked because it is out of date’ and gives you the options ‘Update plugin’ and ‘Run this time’.

Google Chrome Flash error

Google Chrome automatically updates when new versions of Flash Player are available. The integrated Google Chrome Flash plug-in cannot be uninstalled using the Flash Player uninstaller. You can only enable or disable the integrated plug-in. You may have to relaunch the browser in order to activate the latest version. Please go to Customize and control Google Chrome > About Google Chrome and check if the latest version installed.

If you you are unable to update Google Chrome Browser, run Google Software Removal Tool, which corrects the auto-update issue. Alternatively, you can check for update by visiting chrome://components page.

Google Chrome Components

Leave a Reply

Your email address will not be published. Required fields are marked *

*